# Experimental Record

## 1.Dataset Statistic

|      |  Train   | Valid  |  Test  |
|:----:|  :----:  | :----:  | :----:  |
|MMD   |  105439  | 22595 | 22595 |
| 1-intention|1820705  | 389199 | 389415 |
| 2-recommend|492886  | 105478 | 106215 |
| 3-text|678968  | 145766 | 145501 |
| 4-knowledge_styletip |186720 | 39646 | 39707 |
| 5-knowledge_attribute|820959  | 175336 | 175359 |
|6-knowledge_celebrity  |155824  | 33323 | 33385 |
|Product files| 486307|-|-|

## 2.Process
- preprocess_data.py  
- train.sh 
- eval.sh    
### (1) preprocess_data.py: 
- [22]dump_dir/data_files.pkl  
### (2) train.sh
- [1]knowledge_data.pkl 
- [6]log/log_files.txt 
- [6]dump_dir/model/model_files.pkl
- [4]text/knowledge_*.out 
### (3) eval.sh   
- [4]text/knowledge_*.out > [1]all_text.out
- split.py: [1]all_text.out -> [1]all_text.out.true + [1]all_text.out.pred  
- convert.py: [1]all_text.out.true -> [1]text_src.xml + [1]text_ref.xml & [1]all_text.out.pred -> [1]text_tst.xml   
- mteval-v14.pl: [1]log/eval_out.txt
## 3.Evaluate
### Individual N-gram scoring
 |      | 1-gram |  2-gram  | 3-gram  | 4-gram  | 5-gram  | 6-gram  | 7-gram  | 8-gram  | 9-gram
|:----:|  :----:  | :----:  | :----:  | :----:  |:----:  |:----:  |:----:  |:----:  |:----:  |
 |NIST|  4.9774 |  1.6471 |  0.6847  | 0.4516 |  0.3795|   0.3185 |  0.2034 |  0.1372  | 0.1149 |
 |BLEU|  0.6527 |  0.5101  | 0.4454 |  0.4079 |  0.3809  | 0.3584 |  0.3479 |  0.3412 |  0.3359  | 
### Cumulative N-gram scoring
 |      | 1-gram |  2-gram  | 3-gram  | 4-gram  | 5-gram  | 6-gram  | 7-gram  | 8-gram  | 9-gram
|:----:|  :----:  | :----:  | :----:  | :----:  |:----:  |:----:  |:----:  |:----:  |:----:  |
 |NIST | 4.9774  | 6.6244 |  7.3091  | 7.7607 |  8.1402 |  8.4587 |  8.6621  | 8.7993  | 8.9141  | 
 |BLEU | 0.6327 |  0.5593 |  0.5131  | 0.4807 |  0.4560 |  0.4358  | 0.4201  | 0.4077 |  0.3977  | 

MT evaluation scorer ended on 2021 Oct 26 at 09:50:02